//
//  Email.m
//  MailDemo
//
//  Created by Scott Stevenson on Wed Apr 21 2004.
//  Copyright (c) 2004 Tree House Ideas. All rights reserved.
//
// David Phillip Oster's additions.
// Thanks to Patrick Machielse for the key insight that makes this work

#import "Email.h"
#import "MyController.h"

@implementation Email

- (id) init {
  if (self = [super init]) {
    static int counter = 0;
    NSArray * keys = [NSArray arrayWithObjects: @"address", @"subject", @"date", @"body", nil];
    NSArray * values    = [NSArray arrayWithObjects: @"test@test.com", 
      [NSString stringWithFormat:@"Subject %d", ++counter], [NSDate date], [NSString string], nil];
    [self observeProperties:[NSDictionary dictionaryWithObjects: values forKeys: keys]];
  }
  return self;
}

- (NSUndoManager *)undoManager {
  return [ (MyController *) [NSApp delegate] undoManager];
}

@end
